aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--NEWS4
-rw-r--r--configure.ac2
-rwxr-xr-xfind-debuginfo.sh5
3 files changed, 8 insertions, 3 deletions
diff --git a/NEWS b/NEWS
index d3bc4df..3d3864e 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,7 @@
+Version 1.99 - 9 March 2010, by Per Øyvind Karlsen
+- allow for for only stripping files without creating debug package contents by
+ setting DISABLE_DEBUG environment variable.
+
Version 1.98 - 5 March 2010, by Per Øyvind Karlsen
- Update find-debuginfo.sh from upstream
- new script: perl.req-from-meta (jquelin)
diff --git a/configure.ac b/configure.ac
index f8d5ddc..ca83677 100644
--- a/configure.ac
+++ b/configure.ac
@@ -4,7 +4,7 @@
# $Id$
AC_PREREQ(2.59)
-AC_INIT(rpm-mandriva-setup, 1.98, nanardon@mandriva.org)
+AC_INIT(rpm-mandriva-setup, 1.99, nanardon@mandriva.org)
AC_CANONICAL_TARGET
AM_INIT_AUTOMAKE(1.9 -Wno-portability)
AC_CONFIG_SRCDIR
diff --git a/find-debuginfo.sh b/find-debuginfo.sh
index fec5d62..477f0e3 100755
--- a/find-debuginfo.sh
+++ b/find-debuginfo.sh
@@ -100,8 +100,8 @@ strip_to_debug()
$strip_g && case "$(file -bi "$2")" in
application/x-sharedlib*) g=-g ;;
esac
- eu-strip --remove-comment $g -f "$1" "$2" || exit
- chmod 444 "$1" || exit
+ eu-strip --remove-comment $g $([ -n "$DISABLE_DEBUG" ] || echo -f "$1") "$2" || exit
+ [ -n "$DISABLE_DEBUG" ] || chmod 444 "$1" || exit
}
# Make a relative symlink to $1 called $3$2
@@ -194,6 +194,7 @@ xargs --no-run-if-empty stat -c '%h %D_%i %n' |
while read nlinks inum f; do
[[ -n "$EXCLUDE_REGEXP" ]] && grep -E -q "$EXCLUDE_REGEXP" <<< "$f" && \
continue
+ [ -n "$DISABLE_DEBUG" ] && strip_to_debug "" "$f" && continue
get_debugfn "$f"
[ -f "${debugfn}" ] && continue